package maker

import (
	"context"
	"os"
	"path/filepath"

	"gitea.loveuer.com/yizhisec/pkg3/logger"
	"yizhisec.com/hsv2/forge/internal/opt"
)

func (m *maker) HSNet(ctx context.Context) error {
	var (
		err      error
		location = filepath.Join(opt.Cfg.Make.Dir, "dependency", "hs-net")
	)

	if err = os.MkdirAll(location, 0755); err != nil {
		logger.Error("MakeHSNet: 创建目录失败s")
		logger.Debug("MakeHSNet: 创建目录失败: %s", err.Error())
		return err
	}

	logger.Fatal("MakeHSNet: 构建 hs-net 失败!!!(怎么完善,怎么完善,怎么完善???)")

	return nil
}
